New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Issues installing Flip Fluids in 2.8 Beta - Recent Python API Change #408

Closed
originalClown opened this Issue Dec 23, 2018 · 3 comments

Comments

Projects
None yet
2 participants
@originalClown
Copy link

originalClown commented Dec 23, 2018

System Information

Blender Version (including hash): Blender 2.8 4c5e76025d83
FLIP Fluids Version: flip_fluids_addon-9.0.5.1_experimental_13-dec-2018
Operating System: Windows 10 Pro 64 bit
CPU: Ryzen 7 1800X
GFX: GTX 1070 FE
RAM: 16 GB Kingston valueRAM DDR4 @2133mhz

Describe the bug

Can't install the 2.8 version of Flip Fluids with the 2.8 Beta. Get an attribute error

To Reproduce

I've reinstalled the latest versions of Flip Fluids and Blender 2.8 Beta and cleared the 2.8 roaming folder

Expected Behaviour

Installed addon from file, clicking enable addon should enable the addon

Actual Behaviour

Clicking the enable button brings up multiple errors

Screenshots

screenshot 1

@rlguy

This comment has been minimized.

Copy link
Owner

rlguy commented Dec 23, 2018

Hi originalClown,

Thanks for the report! In the latest Blender 2.80 build (4c5e76025d83) there is a Python API change that broke the FLIP Fluids addon along with many other addons.

The API change renames user_preferences to preferences. I suspect this is what is causing the addon to fail installation. If you look at earlier error messages in the Blender System Console (Blender > Window > Toggle System Console), you might find this error which is causing the installation to fail:

AttributeError: ‘Context’ object has no attribute 'user_preferences’

I'll try to get a new build out tomorrow to fix this.

- Ryan

@rlguy rlguy changed the title Issues installing Flip Fluids in 2.8 Beta Issues installing Flip Fluids in 2.8 Beta - Recent Python API Change Dec 23, 2018

@rlguy rlguy added the Blender 2.80 label Dec 23, 2018

@originalClown

This comment has been minimized.

Copy link

originalClown commented Dec 23, 2018

Ah ok, thanks for the swift response :)

@rlguy

This comment has been minimized.

Copy link
Owner

rlguy commented Dec 25, 2018

This has been fixed and will be included in the next experimental version (9.0.5.2).

@rlguy rlguy closed this Dec 25, 2018

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment